import request from '@/utils/request'

const baseUrl = import.meta.env.VITE_APP_BASE_API

// 查询【请填写功能名称】列表
export function listTenant(query) {
  return request({
    url: baseUrl + '/business/tenant/list',
    method: 'get',
    params: query
  })
}
export function listInfo() {
  return request({
    url: baseUrl + '/business/tenant/info',
    method: 'get'
  })
}

// 查询【请填写功能名称】详细
export function getTenant(id) {
  return request({
    url: baseUrl + '/business/tenant/' + id,
    method: 'get'
  })
}

// 新增【请填写功能名称】
export function saveTenant(data) {
  return request({
    url: baseUrl + '/business/tenant/save',
    method: 'post',
    data: data
  })
}

// 删除【请填写功能名称】
export function delTenant(id) {
  return request({
    url: baseUrl + '/business/tenant/' + id,
    method: 'delete'
  })
}
